USRP Hardware Driver and USRP Manual: uhd::usrp_clock::multi_usrp_clock Class Reference

| USRP Hardware Driver and USRP Manual Version: 4.8.0.makepkg-0-g308126a4 UHD and USRP Manual |

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Static Public Member Functions | List of all members
uhd::usrp_clock::multi_usrp_clock Class Referenceabstract

`#include <uhd/usrp_clock/multi_usrp_clock.hpp>`

Inheritance diagram for uhd::usrp_clock::multi_usrp_clock:

## Public Types
typedef std::shared_ptr< multi_usrp_clock > | sptr

## Public Member Functions
virtual | ~multi_usrp_clock (void)=0
virtual device::sptr | get_device (void)=0
virtual std::string | get_pp_string (void)=0
virtual size_t | get_num_boards (void)=0
| Get the number of USRP Clocks in this configuration.
virtual uint32_t | get_time (size_t board=0)=0
| Get time from device.
virtual sensor_value_t | get_sensor (const std::string &name, size_t board=0)=0
virtual std::vector< std::string > | get_sensor_names (size_t board=0)=0

## Static Public Member Functions
static sptr | make (const device_addr_t &dev_addr)

## Detailed Description

The Multi-USRP-Clock device class:

This class facilitates ease-of-use for must use-case scenarios when using clock devices with UHD. This class can be used with a single clock device or with multiple clock devices connected to the same host.

To create a multi_usrp_clock out of a single USRP Clock:

    device_addr_t dev;
    dev["addr"] = 192.168.10.3;
    multi_usrp_clock::sptr clock = multi_usrp_clock::make(dev);

To create a multi_usrp_clock out of multiple clock devices:

    device_addr_t dev;
    dev["addr0"] = 192.168.10.3;
    dev["addr1"] = 192.168.10.4;
    multi_usrp_clock::sptr clock = multi_usrp_clock::make(dev);

## Member Typedef Documentation

## ◆ sptr

typedef std::shared_ptr<multi_usrp_clock> uhd::usrp_clock::multi_usrp_clock::sptr

## Constructor & Destructor Documentation

## ◆ ~multi_usrp_clock()

virtual uhd::usrp_clock::multi_usrp_clock::~multi_usrp_clock | ( | void |  | ) |
| pure virtual

## Member Function Documentation

## ◆ get_device()

virtual device::sptr uhd::usrp_clock::multi_usrp_clock::get_device | ( | void |  | ) |
| pure virtual

Return the underlying device. This allows direct access to the EEPROM and sensors.

Returns
  the device object within this Multi-USRP-Clock

## ◆ get_num_boards()

virtual size_t uhd::usrp_clock::multi_usrp_clock::get_num_boards | ( | void |  | ) |
| pure virtual

Get the number of USRP Clocks in this configuration.

## ◆ get_pp_string()

virtual std::string uhd::usrp_clock::multi_usrp_clock::get_pp_string | ( | void |  | ) |
| pure virtual

Get a printable summary for this USRP Clock configuration.

Returns
  a printable string

## ◆ get_sensor()

virtual sensor_value_t uhd::usrp_clock::multi_usrp_clock::get_sensor | ( | const std::string & | name,
|  | size_t | board = 0 )
| pure virtual

Get a USRP Clock sensor value.

Parameters

  name | the name of the sensor
  board | the board index (0 to M-1)

Returns
  a sensor value object

## ◆ get_sensor_names()

virtual std::vector< std::string > uhd::usrp_clock::multi_usrp_clock::get_sensor_names | ( | size_t | board = 0 | ) |
| pure virtual

Get a list of possible USRP Clock sensor names.

Parameters

  board | the board index (0 to M-1)

Returns
  a vector of sensor names

## ◆ get_time()

virtual uint32_t uhd::usrp_clock::multi_usrp_clock::get_time | ( | size_t | board = 0 | ) |
| pure virtual

Get time from device.

## ◆ make()

static sptr uhd::usrp_clock::multi_usrp_clock::make | ( | const device_addr_t & | dev_addr | ) |
| static

Make a new Multi-USRP-Clock from the given device address.

Parameters

  dev_addr | the device address

Returns
  a new Multi-USRP-Clock object

The documentation for this class was generated from the following file:

- multi_usrp_clock.hpp